{% extends "mainpage/header.html" %} {% block content %}
<title>HOUSIE!</title>
<style>
body {
    padding-top: 65px;
}
</style>
<script>
function cell_clicked(cell_name) {
    if (document.getElementById(cell_name).bgColor == "yellow")
        document.getElementById(cell_name).bgColor = "white";
    else
        document.getElementById(cell_name).bgColor = "yellow";
}

window.onbeforeunload = function(e) {
    e.preventDefault();
    return "Are you sure you want to navigate away?";
}

window.addEventListener('pagehide', function(event) {
    var message = "Are you sure you want to navigate away?";
    event.returnValue = message; // Standard for most browsers
    return message; // For some older browsers
});
</script>
<div class="container">
    <div class="card mb-12">
        <div class="card-header">Click on a number to select/deselect.</div>
        <div class="card-body">
            <h1 class="card-title">Housie</h1>
        </div>
        <table class="table table-borded">
            <tr>
                <td id="{{numbers.0}}" align="center" onclick="cell_clicked('{{numbers.0}}');">
                    <h3>{{numbers.0}}</h3>
                </td>
                <td id="{{numbers.1}}" align="center" onclick="cell_clicked('{{numbers.1}}');">
                    <h3>{{numbers.1}}</h3>
                </td>
                <td id="{{numbers.2}}" align="center" onclick="cell_clicked('{{numbers.2}}');">
                    <h3>{{numbers.2}}</h3>
                </td>
                <td id="{{numbers.3}}" align="center" onclick="cell_clicked('{{numbers.3}}');">
                    <h3>{{numbers.3}}</h3>
                </td>
                <td id="{{numbers.4}}" align="center" onclick="cell_clicked('{{numbers.4}}');">
                    <h3>{{numbers.4}}</h3>
                </td>
            </tr>
            <tr>
                <td id="{{numbers.5}}" align="center" onclick="cell_clicked('{{numbers.5}}');">
                    <h3>{{numbers.5}}</h3>
                </td>
                <td id="{{numbers.6}}" align="center" onclick="cell_clicked('{{numbers.6}}');">
                    <h3>{{numbers.6}}</h3>
                </td>
                <td id="{{numbers.7}}" align="center" onclick="cell_clicked('{{numbers.7}}');">
                    <h3>{{numbers.7}}</h3>
                </td>
                <td id="{{numbers.8}}" align="center" onclick="cell_clicked('{{numbers.8}}');">
                    <h3>{{numbers.8}}</h3>
                </td>
                <td id="{{numbers.9}}" align="center" onclick="cell_clicked('{{numbers.9}}');">
                    <h3>{{numbers.9}}</h3>
                </td>
            </tr>
            <tr>
                <td id="{{numbers.10}}" align="center" onclick="cell_clicked('{{numbers.10}}');">
                    <h3>{{numbers.10}}</h3>
                </td>
                <td id="{{numbers.11}}" align="center" onclick="cell_clicked('{{numbers.11}}');">
                    <h3>{{numbers.11}}</h3>
                </td>
                <td id="{{numbers.12}}" align="center" onclick="cell_clicked('{{numbers.12}}');">
                    <h3>{{numbers.12}}</h3>
                </td>
                <td id="{{numbers.13}}" align="center" onclick="cell_clicked('{{numbers.13}}');">
                    <h3>{{numbers.13}}</h3>
                </td>
                <td id="{{numbers.14}}" align="center" onclick="cell_clicked('{{numbers.14}}');">
                    <h3>{{numbers.14}}</h3>
                </td>
            </tr>
        </table>
    </div>
</div>
{% endblock %}
